Bug 1479652 - Chromium gets SIGSEGV on every startup from extensions::NetworkingPrivateLinux
Chromium gets SIGSEGV on every startup from extensions::NetworkingPrivateLinux
Status: NEW
Product: Fedora
Classification: Fedora
Component: chromium (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 00:28 EDT by David Strauss
Modified: 2017-09-19 08:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Strauss 2017-08-09 00:28:22 EDT
Chromium seems to trap the segfault, so abrt doesn't notice it. Fortunately, the shell provides a stack trace (below). I do not experience this issue with Chrome. (This error occurs on both Wayland and X11, not that it appears to matter based on the trace.)

[straussd@t560 ~]$ chromium-browser 
Received signal 11 SEGV_MAPERR 000000000010
#0 0x7f5a2efdc156 base::debug::StackTrace::StackTrace()
#1 0x7f5a2efdc5cb base::debug::(anonymous namespace)::StackDumpSignalHandler()
#2 0x7f5a2f3402c0 <unknown>
#3 0x55d930d9fe38 std::_Rb_tree<>::find()
#4 0x55d930da1e18 extensions::NetworkingPrivateLinux::AddOrUpdateAccessPoint()
#5 0x55d930da25c8 extensions::NetworkingPrivateLinux::AddAccessPointsFromDevice()
#6 0x55d930da28db extensions::NetworkingPrivateLinux::GetAllWiFiAccessPoints()
#7 0x7f5a2f0592b9 base::(anonymous namespace)::PostTaskAndReplyRelay::RunTaskAndPostReply()
#8 0x7f5a2efddbb0 base::debug::TaskAnnotator::RunTask()
#9 0x7f5a2f007920 base::MessageLoop::RunTask()
#10 0x7f5a2f009088 base::MessageLoop::DeferOrRunPendingTask()
#11 0x7f5a2f009496 base::MessageLoop::DoWork()
#12 0x7f5a2f00ad32 base::MessagePumpLibevent::Run()
#13 0x7f5a2f006ca8 base::MessageLoop::RunHandler()
#14 0x7f5a2f031b1b base::RunLoop::Run()
#15 0x7f5a2f05e896 base::Thread::ThreadMain()
#16 0x7f5a2f0591bb base::(anonymous namespace)::ThreadFunc()
#17 0x7f5a2f33536d start_thread
#18 0x7f5a18965b8f __GI___clone
  r8: 00007f59d97fdcb0  r9: 000055d932954dec r10: 000055d932954df0 r11: 00007f5a189f25d0
 r12: 00007f59d97fdf38 r13: 0000000000000008 r14: 0000000000000008 r15: 00007f59d97fddf0
  di: 0000000000000000  si: 00007f59d97fddf0  bp: 00007f59d97fde40  bx: 00007f59d97fddf0
  dx: 0000000000000004  ax: 0000000000000000  cx: 00007f59d97fdd68  sp: 00007f59d97fdda0
  ip: 000055d930d9fe38 efl: 0000000000010206 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000010
[end of stack trace]
Calling _exit(1). Core file will not be generated.

I'm running the current packages of everything for Fedora 26.

[straussd@t560 ~]$ dnf info chromium
Last metadata expiration check: 3 days, 10:23:36 ago on Sat 05 Aug 2017 11:02:03 AM PDT.
Installed Packages
Name         : chromium
Version      : 59.0.3071.115
Release      : 3.fc26
Arch         : x86_64
Size         : 183 M
Source       : chromium-59.0.3071.115-3.fc26.src.rpm
Repo         : @System
From repo    : updates
Summary      : A WebKit (Blink) powered web browser
URL          : http://www.chromium.org/Home
License      : BSD and LGPLv2+ and ASL 2.0 and IJG and MIT and GPLv2+ and ISC and OpenSSL and (MPLv1.1 or GPLv2 or LGPLv2)
Description  : Chromium is an open-source web browser, powered by WebKit (Blink).

[straussd@t560 ~]$ sudo dnf upgrade
Last metadata expiration check: 2:22:53 ago on Tue 08 Aug 2017 07:04:36 PM PDT.
Dependencies resolved.
Nothing to do.
Complete!
Comment 1 Tom "spot" Callaway 2017-08-16 17:11:14 EDT
Can you test with 60.0.3112.90, which is in updates-testing? Also, do you have any extensions installed?
Comment 2 David Strauss 2017-08-19 00:14:27 EDT
I installed the update, and now I get a different SIGSEGV (backtrace below). As for extensions, I use Google Bookmark Manager, GNOME Shell Integration, Google Docs, Google Docs Offline, Google Keep Chrome Extension, Google Play Music, Google Sheets, Google Slides, HTTPS Everywhere, Inbox by Gmail, IPvFoo, Google Lighthouse, News Feed Eradicator for Facebook, Reddit Enhancement Suite, Save to Google Drive, and uBlock Origin.

However, the only extension I allow in incognito is uBlock Origin, and launching "chromium-browser --incognito" still crashes with the same stack as below. I'm not sure if it still loads the other extensions, though.

[straussd@t560 Projects]$ chromium-browser 
Received signal 11 SEGV_MAPERR 000000000010
#0 0x7fb634028d16 base::debug::StackTrace::StackTrace()
#1 0x7fb63402918b base::debug::(anonymous namespace)::StackDumpSignalHandler()
#2 0x7fb63481a2c0 <unknown>
#3 0x00ab29e062b8 <unknown>
#4 0x00ab29e08298 <unknown>
#5 0x00ab29e08a48 <unknown>
#6 0x00ab29e08d5b <unknown>
#7 0x7fb6340aa0e9 base::(anonymous namespace)::PostTaskAndReplyRelay::RunTaskAndPostReply()
#8 0x7fb63402a770 base::debug::TaskAnnotator::RunTask()
#9 0x7fb6340549a0 base::MessageLoop::RunTask()
#10 0x7fb634055a88 base::MessageLoop::DeferOrRunPendingTask()
#11 0x7fb634055f14 base::MessageLoop::DoWork()
#12 0x7fb634057812 base::MessagePumpLibevent::Run()
#13 0x7fb63408238b base::RunLoop::Run()
#14 0x7fb6340af606 base::Thread::ThreadMain()
#15 0x7fb6340a9feb base::(anonymous namespace)::ThreadFunc()
#16 0x7fb63480f36d start_thread
#17 0x7fb619720b8f __GI___clone
  r8: 0000000000000001  r9: 000000ab2b82d32c r10: 000000ab2b82d330 r11: 00007fb6197ad5d0
 r12: 00007fb5dac740e8 r13: 0000000000000008 r14: 0000000000000008 r15: 00007fb5dac73fa0
  di: 0000000000000000  si: 00007fb5dac73fa0  bp: 00007fb5dac73ff0  bx: 00007fb5dac73fa0
  dx: 0000000000000004  ax: 000036bbead74660  cx: 0000000044495547  sp: 00007fb5dac73f50
  ip: 000000ab29e062b8 efl: 0000000000010206 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000010
[end of stack trace]
Calling _exit(1). Core file will not be generated.
Comment 3 Stefan Midjich 2017-09-19 08:11:09 EDT
This issue has also been with me since the F26 upgrade it seems. At least for a few months now I haven't been able to use chromium. I normally don't use it so it only comes up when I need to test something in chromium.

This is with the latest package chromium.x86_64 60.0.3112.113-1.fc26 on Fedora 26.

Received signal 11 SEGV_MAPERR 000000000010
#0 0x7f98b25eed16 base::debug::StackTrace::StackTrace()
#1 0x7f98b25ef18b base::debug::(anonymous namespace)::StackDumpSignalHandler()
#2 0x7f98b2de02c0 <unknown>
#3 0x003957c252b8 <unknown>
#4 0x003957c27298 <unknown>
#5 0x003957c27a48 <unknown>
#6 0x003957c27d5b <unknown>
#7 0x7f98b26700e9 base::(anonymous namespace)::PostTaskAndReplyRelay::RunTaskAndPostReply()
#8 0x7f98b25f0770 base::debug::TaskAnnotator::RunTask()
#9 0x7f98b261a9a0 base::MessageLoop::RunTask()
#10 0x7f98b261ba88 base::MessageLoop::DeferOrRunPendingTask()
#11 0x7f98b261bf14 base::MessageLoop::DoWork()
#12 0x7f98b261d812 base::MessagePumpLibevent::Run()
#13 0x7f98b264838b base::RunLoop::Run()
#14 0x7f98b2675606 base::Thread::ThreadMain()
#15 0x7f98b266ffeb base::(anonymous namespace)::ThreadFunc()
#16 0x7f98b2dd536d start_thread
#17 0x7f9897ce6bbf __GI___clone
  r8: 0000000000000001  r9: 000000395964c32c r10: 000000395964c330 r11: 00007f9897d73610
 r12: 00007f985938b0e8 r13: 0000000000000008 r14: 0000000000000008 r15: 00007f985938afa0
  di: 0000000000000000  si: 00007f985938afa0  bp: 00007f985938aff0  bx: 00007f985938afa0
  dx: 0000000000000004  ax: 00003e34e1029d50  cx: 0000000044495547  sp: 00007f985938af50
  ip: 0000003957c252b8 efl: 0000000000010206 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000010
[end of stack trace]
Calling _exit(1). Core file will not be generated.
Comment 4 Stefan Midjich 2017-09-19 08:12:48 EDT
I was actually able to start chromium by deleting ~/.config/chromium directory.

Now it works normally again.

Note You need to log in before you can comment on or make changes to this bug.